This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1264131 - unbounded memory consumption
unbounded memory consumption
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 10:54 EDT by Tomasz Torcz
Modified: 2016-07-19 18:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 18:33:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
newrelic monitoring – tracker memory usage increase until crash (112.95 KB, image/png)
2015-09-17 10:54 EDT, Tomasz Torcz
no flags Details

  None (edit)
Description Tomasz Torcz 2015-09-17 10:54:45 EDT
Created attachment 1074487 [details]
newrelic monitoring – tracker memory usage increase until crash

Description of problem:
Shortly after login, tracker processes start to occupy great amount of RAM and CPU time. If not killed in time, often all memory is exhausted and computer is swapped into oblivion.

Top output:
    PID USER      PR  NI    VIRT    RES    SHR S  %CPU %MEM     TIME+ COMMAND                                                                                                  
 959993 zdzichu   20   0 6732176 5.063g   8000 S  58.6 32.6 399:17.97 /usr/libexec/tracker-store                                                                               
   2206 zdzichu   39  19  737096  11636   5596 R  51.3  0.1 411:38.64 /usr/libexec/tracker-miner-fs                                                                            
   2194 zdzichu   39  19  558604   4768   3880 S  41.4  0.0 307:13.37 /usr/libexec/tracker-miner-apps   

Version-Release number of selected component (if applicable):
tracker-1.4.1-1.fc22.x86_64

Steps to Reproduce:
1. start computer
2. login into gnome
3. wait
Comment 1 Tomasz Torcz 2015-09-17 10:56:50 EDT
Also, the logs are full of repeating:

2015-09-17T16:55:36+0200 mother.pipebreaker.pl gnome-session[1627]: (tracker-miner-apps:2194): Tracker-CRITICAL **: Could not execute sparql: GDBus.Error:org.freedesk
top.Tracker1.SparqlError.Internal: UNIQUE constraint failed: nie:DataObject.nie:url (strerror of errno (not necessarily related): Zasoby chwilowo niedostępne)
2015-09-17T16:55:36+0200 mother.pipebreaker.pl gnome-session[1627]: (tracker-miner-fs:2206): Tracker-CRITICAL **: Could not execute sparql: GDBus.Error:org.freedeskto
p.Tracker1.SparqlError.Internal: UNIQUE constraint failed: nie:DataObject.nie:url (strerror of errno (not necessarily related): Zasoby chwilowo niedostępne)
2015-09-17T16:55:36+0200 mother.pipebreaker.pl gnome-session[1627]: (tracker-miner-apps:2194): Tracker-CRITICAL **: Could not execute sparql: GDBus.Error:org.freedesk
top.Tracker1.SparqlError.Internal: UNIQUE constraint failed: nie:DataObject.nie:url (strerror of errno (not necessarily related): Zasoby chwilowo niedostępne)
2015-09-17T16:55:36+0200 mother.pipebreaker.pl gnome-session[1627]: (tracker-miner-fs:2206): Tracker-CRITICAL **: Could not execute sparql: GDBus.Error:org.freedeskto
p.Tracker1.SparqlError.Internal: UNIQUE constraint failed: nie:DataObject.nie:url (strerror of errno (not necessarily related): Zasoby chwilowo niedostępne)
2015-09-17T16:55:36+0200 mother.pipebreaker.pl gnome-session[1627]: (tracker-miner-apps:2194): Tracker-CRITICAL **: Could not execute sparql: GDBus.Error:org.freedesk
top.Tracker1.SparqlError.Internal: UNIQUE constraint failed: nie:DataObject.nie:url (strerror of errno (not necessarily related): Zasoby chwilowo niedostępne)


"Zasoby chwilowo niedostępne" means "resources temporary unavailable"
Comment 2 Tomasz Torcz 2015-12-23 02:18:11 EST
The problem is still present in 1.6.1-1.fc23.x86_64
Comment 3 Igor Gnatenko 2016-03-20 09:52:14 EDT
no comments for long time.
Comment 4 Tomasz Torcz 2016-03-20 10:58:21 EDT
1.6.1-1.fc23 is still the latest version in Fedora 23, as indicated in #2.
Comment 5 Fedora End Of Life 2016-07-19 13:55:27 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Igor Gnatenko 2016-07-19 18:33:35 EDT
(In reply to Tomasz Torcz from comment #4)
> 1.6.1-1.fc23 is still the latest version in Fedora 23, as indicated in #2.

Unfortunately upstream doesn't really work on 1.6.x as it's completely outdated. Please try on rawhide (or at least on F24) and open upstream bug (bugzilla.gnome.org) about this please.

Note You need to log in before you can comment on or make changes to this bug.